radishwlllll
radishwlllll
采纳率0%
2021-03-23 15:53

Java中try-catch结构语法

	static void methodA(){
		try{
			System.out.println("进入方法A");
			throw new RuntimeException("制造异常");			
		}finally{
			System.out.println("用A方法的finally");
		}
	}

public static void main(String[] args) {
		try{
			methodA();			
		}catch(Exception e) {
			System.out.println(e.getMessage());
		}
	}

这是在学异常处理写的一段代码,在main函数里catch结构写Exception会报错:No exception of type Exception can be thrown; an exception type must be a subclass of Throwable

就很奇怪,写RuntimeExceprion就没事。这是为啥啊?我用eclipse写的

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

3条回答

  • dltsbydh 紫气天堂 2月前

    异常的抛出是有一个严谨的结构的,必须是从小到大进行抛出。

    点赞 评论 复制链接分享
  • qq_34926773 张小帅和刘美美 2月前

    继承关系 没有错

    点赞 评论 复制链接分享
  • qq_43066945 FlyYant 2月前

    写RuntimeExceprion你的运行结果是那两个sout吗

    点赞 评论 复制链接分享

相关推荐